Skip to main content
PUT
Replace upload data
Renaming or removing columns may break content (fields, calculations, filters) referencing the old columns.

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

uploadId
string<uuid>
required

The unique identifier of the upload

Body

multipart/form-data
file
file
required

The replacement CSV file (must have .csv extension). Fully replaces the existing data. Column renames/removals may break content referencing the old columns.

Response

Upload data replaced successfully

id
string<uuid>
required

The upload ID. This will not change after uploading new data.

Example:

"550e8400-e29b-41d4-a716-446655440000"

fileName
string
required

File name of the replacement upload

Example:

"users_updated.csv"

viewName
string
required

View name. This will not change after uploading new data.

Example:

"users"

inDbAsTableName
string
required

Database table name in the table upload (scratch) schema. This will be empty if the underlying connection doesn't have a table upload schema configured.

Example:

"omni_upload_t7c1e22ab"

refreshedModelIds
string<uuid>[]
required

Models whose view of this upload was re-pointed at the new data, including the upload's workbook model, or the connection's shared models holding a view backed by this upload.

Example:
rowCount
integer
required

Number of rows in the replacement file

Example:

152

truncated
boolean
required

Whether the file was truncated due to row limit

Example:

false